Name:           connector
Version:        1.8.8
Release:        1%{?dist}
Summary:        Remote desktop chooser

License:        GPLv2
URL:            http://myconnector.ru
Source0:        https://github.com/ekorneechev/Connector/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
#Requires:      control
#Requires:      libgtk+3-gir
#Requires:      python3-module-pygobject3
Requires:       gtk3
Requires:       python3
Requires:       python3-keyring >= 12.0.0
Requires:       remmina
Requires:       remmina-plugins-exec
Requires:       remmina-plugins-nx
Requires:       remmina-plugins-rdp
Requires:       remmina-plugins-secret
Requires:       remmina-plugins-spice
Requires:       remmina-plugins-st
Requires:       remmina-plugins-vnc
Requires:       remmina-plugins-xdmcp
Requires:       tigervnc
Requires:       xdg-utils
Requires:       xfreerdp
%if 0%{?fedora} >= 30
Requires:       python3-secretstorage
%else
Requires:       python3-SecretStorage
%endif

%description
This is an aggregator program to connect to various servers using all of the
popular remote desktop protocols (RDP, VNC, Citrix, VMware, etc).


%prep
%autosetup -n Connector-%{version} -p1


%install
install -pDm755 source/%{name}          %{buildroot}%{_bindir}/%{name}
install -pDm644 data/%{name}.desktop    %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir   -p      %{buildroot}%{_datadir}/%{name}/data/
install -p      data/*.png data/*.glade %{buildroot}%{_datadir}/%{name}/data/
install -p      source/*.py             %{buildroot}%{_datadir}/%{name}/
install -pm755  source/%{name}-check-version \
    %{buildroot}%{_datadir}/%{name}/
install -pDm644 data/%{name}.man        %{buildroot}%{_mandir}/man1/%{name}.1
#%%find_lang %{name} --with-man
install -pDm644 data/kiosk.access \
    %{buildroot}%{_sysconfdir}/%{name}/kiosk.access
install -pDm644 data/%{name}.xml \
    %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -pDm644 data/icons/hicolor/64x64/apps/%{name}.png \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md CHANGELOG
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}-check-version
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/data/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/*
%{_sysconfdir}/%{name}/kiosk.access


%changelog
* Tue Jun 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.8-1
- Update to 1.8.8

* Wed Jan 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.7-1
- Update to 1.8.7

* Sat Dec 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.6-1
- Update to 1.8.6

* Sat Apr 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.4-2
- Adapt for Fedora.

* Fri Jan 25 2019 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.8.4-alt1
- Added buttons 'Communication with developer' and 'Report a bug' into menu Help.
- FreeRDP: added checkbox for glyph-cache (ALT #35796)

* Fri Dec 07 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.8.3-alt1
- keyring: some fixes

* Tue Dec 04 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.8.2-alt1
- Added on/off for logging
- Fixed tray update after save first connection
- Added ability to save default settings
- FreeRDP changes:
 + Added checkboxes for GDI rendering, auto-reconnect and cert-ignore
 + Added checking USB PATH while redirecting
 + Updated translation for 'span screen'
 + Added ability to save password in the keyring (ALT #35608)
- Added button reset of the program's parameters
- Remmina: fixed SSH/SFTP connection on new version
- FS: added choise of the protocol from drop-down list

* Fri Aug 03 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.7.2-alt1
- Added on/off for version checking
- Minor changes in the GUI

* Wed Jul 25 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.7.1-alt1
- Added tray icon
- Disabled start of multiple copies via GTK
- Added mymetype and association for .ctor files
- Added version checking

* Fri Jul 13 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.6.4-alt2
- Fixed start programm if FS - new function (after update e.g)

* Thu Jul 12 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.6.4-alt1
- Disabled start of multiple copies
- Fixed creating label if exist of the same name
- Fixed open Citrix/WEB tab from main menu

* Fri Jul 06 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.6.3-alt2
- Fixed open preferences window for FS

* Thu Jul 05 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.6.3-alt1
- Added support SPICE
- Added support connect to fileservers (SMB, FTP, etc.)
- Remmina: Disable password storing by default

* Mon Jun 25 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.6-alt4
- Remmina: fixed connect from preferences window

* Fri Jun 22 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.6-alt3
- Fixed connect from preferences window

* Tue Jun 05 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.6-alt2
- Fixed the fast connect from console

* Thu Apr 19 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.6-alt1
- FreeRDP/Remmina: connection name in the window title

* Tue Mar 27 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.5-alt1
- Update AboutDialog and title of the main window

* Wed Mar 07 2018 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.4-alt1
- Added choise of the default tab on main window
- Changed label's default folder to 'Desktop'
- [kiosk] Notifications disabled, when ACCESS=OFF

* Tue Dec 12 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.3-alt2
- Fixed version

* Tue Dec 12 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.3-alt1
- Added key '/gdi:sw' as default for FreeRDP

* Thu Sep 21 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.2-alt3
- Fixed unowned files

* Wed Sep 20 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.2-alt1
- OS check updated (ALT #33906)
- Added notifications for mode 'kiosk'

* Wed Jul 05 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.1-alt2
- Fixed checking config for mode 'kiosk

* Wed Jul 05 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.1-alt1
- Changes in mode 'kiosk'
 + removed notifications about enable/disable
 + added config for access to the settings

* Tue May 23 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.5.0-alt1
- Added mode 'kiosk'

* Tue May 23 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.3-alt3
- Added switching to the default tab after save properties

* Tue May 23 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.3-alt2
- Changed the command to open the wiki

* Fri May 19 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.3-alt1
- The code is optimized: now the program works equally in both AltLinux and Linux Mint
- Startup command of connection added to the log
- Update vncviewer's keys
- Changed command of web-connection

* Wed May 17 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.1-alt2
- Fixed save shortcut of connections
- Minor fixes in changelog

* Tue May 16 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.1-alt1
- Added more shared folders for FreeRDP

* Tue Apr 18 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.0-alt3
- Fixed build - remove vmware-view-userinstall from requires
- Added checking the installation of the VMware Horizon Client (or vmware-view-userinstall)

* Fri Apr 07 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.0-alt2
- Fixed creating LOGFOLDER

* Fri Apr 07 2017 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.4.0-alt1
- Added logging
- Added checking 'control udisks2' (for shared /media, FreeRDP)
- Update requires - added vmware-view-userinstall
- Added manual
- Added key /span for FreeRDP
- Default vncviewer -> TigerVNC
- Added checking the installation of the ICAClient
- Changed the fast connect from console: uses the connection unique name
  instead of the file name
- Fixed import CITRIX & WEB

* Mon Oct 17 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.24-alt3
- Update categories in .desktop

* Tue Sep 13 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.24-alt2
- Fixed command open webbrowser

* Tue Sep 13 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.24-alt1
- Added function - copy ctor-file's name to clipboard

* Wed Aug 24 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.23-alt3
- Update requires - added remmina-plugins

* Mon Aug 22 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.23-alt2
- Update requires - added xfreerdp

* Fri Aug 12 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.23-alt1
- Fixed a bug - sometimes doesn't work quick connection

* Thu Jan 14 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.22-alt2
- Fixed vncviewer parameters for TigerVNC

* Tue Jan 12 2016 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.22-alt1
- Fixed redirect smartcards, added redirect usb-storage and key /workarea. NLA is now optional

* Tue Sep 15 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.21-alt1
- Added performance parameters and choise default tab

* Mon Aug 17 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.19-alt1
- Added quick connect -login@server for SSH & SFTP

* Mon Aug 17 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.18-alt1
- Added sound, microphone and printer for FreeRDP

* Tue Aug 11 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.17-alt1
- Added WEB, smartcards

* Thu Jul 02 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.15-alt1
- Added function Copy, update GTK >=3.10

* Thu Jun 25 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.14-alt1
- Update GUI and FreeRDP features

* Tue Jun 23 2015 Evgeniy Korneechev <ekorneechev@altlinux.org> 1.3.12-alt4
- Update SPEC

* Mon Jun 22 2015 Korneechev Evgeniy <ekorneechev@altlinux.org> 1.3.12-alt3
- Initial build by GEAR

* Tue Jun 16 2015 Michael Shigorin <mike@altlinux.org> 1.3.12-alt2
- spec cleanup

* Tue Jun 16 2015 Evgeniy Korneechev <ekorneechev@gmail.com> 1.3.12-alt1
- Initial build
